#!/bin/bash
# Copyright IBM Corp. 2000-2001
# THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
# All Rights Reserved * Licensed Materials - Property of IBM
# US Government Users Restricted Rights - Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.

# Change Log:
#    June 30, 2004 - JC: Created

# Called by: updateWizard.bat as preinstall steps 

# Description: move the old jar files from Virtuoso to a backup directory

# The file names have to be hardcoded in order to keep any other customized data in lib dir 

mv -f $TIO_HOME/lib/commons-beanutils.jar $TIO_HOME/_backup/lib/
mv -f $TIO_HOME/lib/commons-collections.jar $TIO_HOME/_backup/lib/
mv -f $TIO_HOME/lib/commons-digester.jar $TIO_HOME/_backup/lib/
mv -f $TIO_HOME/lib/commons-logging-api.jar $TIO_HOME/_backup/lib/
mv -f $TIO_HOME/lib/de.sar $TIO_HOME/_backup/lib/
mv -f $TIO_HOME/lib/ejbs.jar $TIO_HOME/_backup/lib/
mv -f $TIO_HOME/lib/engines.jar $TIO_HOME/_backup/lib/
mv -f $TIO_HOME/lib/engines.sar $TIO_HOME/_backup/lib/
mv -f $TIO_HOME/lib/faultmanagement.hpovw.jar $TIO_HOME/_backup/lib/
mv -f $TIO_HOME/lib/infrastructure.jar $TIO_HOME/_backup/lib/
mv -f $TIO_HOME/lib/itext-0_81.jar $TIO_HOME/_backup/lib/
mv -f $TIO_HOME/lib/jakarta-poi-1.5.1-final-20020615.jar $TIO_HOME/_backup/lib/
mv -f $TIO_HOME/lib/jasperreports.jar $TIO_HOME/_backup/lib/
mv -f $TIO_HOME/lib/phoenix-enhanced-installer.jar $TIO_HOME/_backup/lib/
mv -f $TIO_HOME/lib/report.jar $TIO_HOME/_backup/lib/
mv -f $TIO_HOME/lib/standalone.jar $TIO_HOME/_backup/lib/
mv -f $TIO_HOME/lib/struts.jar $TIO_HOME/_backup/lib/
mv -f $TIO_HOME/lib/tccommandline.jar $TIO_HOME/_backup/lib/
mv -f $TIO_HOME/lib/tcdriver.jar $TIO_HOME/_backup/lib/
mv -f $TIO_HOME/lib/tcdrivermanager.sar $TIO_HOME/_backup/lib/
mv -f $TIO_HOME/lib/tcje.ear $TIO_HOME/_backup/lib/
mv -f $TIO_HOME/lib/tcSoap.war $TIO_HOME/_backup/lib/
mv -f $TIO_HOME/lib/tcWebUI.war $TIO_HOME/_backup/lib/
mv -f $TIO_HOME/lib/utilities.jar $TIO_HOME/_backup/lib/
mv -f $TIO_HOME/lib/weblogicjms.jar $TIO_HOME/_backup/lib/
mv -f $TIO_HOME/lib/webui.jar $TIO_HOME/_backup/lib/
mv -f $TIO_HOME/lib/webuibase.jar $TIO_HOME/_backup/lib/
mv -f $TIO_HOME/lib/wsdl4j.jar $TIO_HOME/_backup/lib/
mv -f $TIO_HOME/lib/wsif.jar $TIO_HOME/_backup/lib/
mv -f $TIO_HOME/lib/wssec.jar $TIO_HOME/_backup/lib/
mv -f $TIO_HOME/lib/xercesImpl.jar $TIO_HOME/_backup/lib/
mv -f $TIO_HOME/lib/xmlParserAPIs.jar $TIO_HOME/_backup/lib/ 
